Subject: [Sipping] Comments: I-D ACTION:draft-miller-sip-tcap-00.txt : Reposting

From: [email-masked]
Date: Thu, 16 Jan 2003 19:18:28 +0530

Reposting this mail as it did not receive a response on the list the first
time.

[email-masked] on 01/10/2003 11:13:02 AM

To:   [email-masked]
cc:    (bcc: Harsh Bhondwe/HSSBLR)

Subject:  [Sipping] Comments: I-D ACTION:draft-miller-sip-tcap-00.txt

Hi ,

I have a fundamental question on the the usage of SIP for
transporting TCAP messages.

If I understand correctly the figure 1 in the draft, is
something like the following:

SIP Element           Signaling Gateway         SS7 Node

TCAP applications                               PSTN Services
TCAP                                            TCAP
SIP--------IP----------SIP||SS7--------SS7------SS7

Here a TCAP peer will be running on the SIP Element and will
use SIP to exchange TCAP messages with peers(i.e other TCAPs)
in the PSTN network.

However, SIGTRAN protocols defined also by the SIGTRAN
Working group of the  IETF have been especially designed
for transporting Trunk/Access signaling over IP.

So, could one not better accomplish this  by the
following configuration using SIGTRAN?

SIP Element                   Signaling Gateway        PSTN Node

TCAP applications                                   PSTN Services
TCAP                                                   TCAP
SIGTRAN---------IP-------------SIGTRAN||SS7 ---SS7-----SS7
(SUA over SCTP)                (SUA over SCTP)

The difference of course is that in this case the SIP
Element and the Signaling Gateway will have to (also)
support SIGTRAN.They could continue to support SIP as well.

Or am i missing something?

thanks
harsh

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP